EAPI EAPI_WEAK const Efl_Event_Description _EFL_UI_FACTORY_EVENT_ITEM_CONSTRUCTING =
   EFL_EVENT_DESCRIPTION("item,constructing");
EAPI EAPI_WEAK const Efl_Event_Description _EFL_UI_FACTORY_EVENT_ITEM_BUILDING =
   EFL_EVENT_DESCRIPTION("item,building");
EAPI EAPI_WEAK const Efl_Event_Description _EFL_UI_FACTORY_EVENT_ITEM_CREATED =
   EFL_EVENT_DESCRIPTION("item,created");
EAPI EAPI_WEAK const Efl_Event_Description _EFL_UI_FACTORY_EVENT_ITEM_RELEASING =
   EFL_EVENT_DESCRIPTION("item,releasing");
static void
_efl_ui_factory_create_ownership_fallback(Eina_Iterator *models)
{
   eina_iterator_free(models);
}

EAPI EAPI_WEAK EFL_FUNC_BODYV_FALLBACK(efl_ui_factory_create, Eina_Future *, NULL, _efl_ui_factory_create_ownership_fallback(models);, EFL_FUNC_CALL(models), Eina_Iterator *models);
static void
_efl_ui_factory_release_ownership_fallback(Eina_Iterator *ui_views)
{
   eina_iterator_free(ui_views);
}

EAPI EAPI_WEAK EFL_VOID_FUNC_BODYV_FALLBACK(efl_ui_factory_release, _efl_ui_factory_release_ownership_fallback(ui_views);, EFL_FUNC_CALL(ui_views), Eina_Iterator *ui_views);

static Eina_Bool
_efl_ui_factory_class_initializer(Efl_Class *klass)
{
   const Efl_Object_Ops *opsp = NULL;

   const Efl_Object_Property_Reflection_Ops *ropsp = NULL;

#ifndef EFL_UI_FACTORY_EXTRA_OPS
#define EFL_UI_FACTORY_EXTRA_OPS
#endif

   EFL_OPS_DEFINE(ops,
      EFL_OBJECT_OP_FUNC(efl_ui_factory_create, NULL),
      EFL_OBJECT_OP_FUNC(efl_ui_factory_release, NULL),
      EFL_UI_FACTORY_EXTRA_OPS
   );
   opsp = &ops;

   return efl_class_functions_set(klass, opsp, ropsp);
}

static const Efl_Class_Description _efl_ui_factory_class_desc = {
   EO_VERSION,
   "Efl.Ui.Factory",
   EFL_CLASS_TYPE_INTERFACE,
   0,
   _efl_ui_factory_class_initializer,
   NULL,
   NULL
};

EFL_DEFINE_CLASS(efl_ui_factory_interface_get, &_efl_ui_factory_class_desc, NULL, EFL_UI_PROPERTY_BIND_INTERFACE, EFL_UI_FACTORY_BIND_INTERFACE, NULL);
